import { AfterViewInit, ElementRef } from '@angular/core';
import { Value } from '../../abstract/value';
import { ValidationPanelComponent } from '../validation-panel/validation-panel.component';
/**
 * HTML string of the app component.
 */
export declare const appComponentHtml: string;
/**
 * Lf app component.
 */
export declare class AppComponent extends Value implements AfterViewInit {
    _validationPanel: ValidationPanelComponent;
    _treeNavContainer: ElementRef;
    _isTreeNavVisible: boolean;
    _isBackdropVisible: boolean;
    _shouldBackdropExist: boolean;
    private lastTreeNavTranslateX;
    private onPressEsc;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
    hideTreeNav(): void;
    validate(): void;
    _onTreeNavTransitionEnd(): void;
    _onBackdropTransitionEnd(): void;
    /**
     * @override
     */
    protected validatePath(): void;
    private readonly treeNavTranslateX;
}
